#include <jni.h>
#include <jvmti.h>

#ifdef __cplusplus
extern "C" {
#endif

JNIEnv * getJniEnv(JavaVM * javaVM);

void checkJvmtiError(jvmtiEnv *jvmti, jvmtiError err, char *file, int line);
void set_caps(jvmtiEnv * jvmti);
void set_callbacks(jvmtiEnv * jvmti, void (*gc_callback)(jvmtiEnv *, jlong));

#define CHECK_JVMTI_ERROR(jvmti, err) checkJvmtiError(jvmti, err, __FILE__, __LINE__)

#ifdef __cplusplus
}
#endif
