package ch.usi.inf.sape.ld;

public class LeakDetectorRecord {

  public long created = 0;
  public long accessed = 0;
  public String clazz = null;

  public LeakDetectorRecord(final String clazz) {
    this.created = System.nanoTime();
    this.clazz = clazz;
  }

  @Override
  public String toString() {
    return "Class: " + clazz + ", created: " + created + ", last accessed: "
        + accessed;
  }
}